module sound(clk, speaker);
	input clk;
	output speaker;
	parameter clkdivider = 25000000/440/2;
	reg [23:0]tone;
	reg [14:0]counter;
	reg speaker;
	
	always @(posedge clk)
		tone <= tone + 1;
	
	always @(posedge clk)
		if (counter == 0)
			counter <= (tone[23] ? clkdivider-1 : clkdivider/2-1);
		else counter <= counter-1;
	
	always @(posedge clk)
		if (counter == 1)
			speaker <= ~speaker;
endmodule // end music